package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 隐患排查对象 t_accident
 *
 * @author ruoyi
 * @date 2020-11-24
 */
public class TAccident extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置 */
    @Excel(name = "装置", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 片区 */
    @Excel(name = "片区", dictType = "AREA_DIVIDE")
    private String area;
    private String areas;
    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date areadate;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 班组 */
    @Excel(name = "班组", dictType = "ACCIDENT_TEAM")
    private String team;
    private String teams;
    /** 员工编号 */
    private String staffid;

    /** 发现者 */
    @Excel(name = "发现者")
    private String detector;

    /** 处理者 */
    @Excel(name = "处理者")
    private String dealer;

    /** 状态 */
    @Excel(name = "状态", dictType = "ACCIDENT_STATUS")
    private String status;

    /** 确认片区或负责人 */
    @Excel(name = "确认片区或负责人")
    private String areaowner;

    /** 分级确认 */
    @Excel(name = "分级确认", dictType = "CONFIRM_LEVEL")
    private String confirm;

    /** 状态 0：正常 2：删除 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 隐患类型 */
    @Excel(name = "隐患类型")
    private String accidentytpe;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    public String getAreas() {
        return areas;
    }

    public void setAreas(String areas) {
        this.areas = areas;
    }

    public String getTeams() {
        return teams;
    }

    public void setTeams(String teams) {
        this.teams = teams;
    }

    /** 年 */
    private Long year;

    /** 一月 */
    private Long jan;

    /** 二月 */
    private Long feb;

    /** 三月 */
    private Long mar;

    /** 四月 */
    private Long apr;

    /** 五月 */
    private Long may;

    /** 六月 */
    private Long jun;

    /** 七月 */
    private Long jul;

    /** 八月 */
    private Long aug;

    /** 九月 */
    private Long sep;

    /** 十月 */
    private Long oct;

    /** 十一月 */
    private Long nov;

    /** 十二月 */
    private Long dec;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setAreadate(Date areadate)
    {
        this.areadate = areadate;
    }

    public Date getAreadate()
    {
        return areadate;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setTeam(String team)
    {
        this.team = team;
    }

    public String getTeam()
    {
        return team;
    }
    public void setStaffid(String staffid)
    {
        this.staffid = staffid;
    }

    public String getStaffid()
    {
        return staffid;
    }
    public void setDetector(String detector)
    {
        this.detector = detector;
    }

    public String getDetector()
    {
        return detector;
    }
    public void setDealer(String dealer)
    {
        this.dealer = dealer;
    }

    public String getDealer()
    {
        return dealer;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setAreaowner(String areaowner)
    {
        this.areaowner = areaowner;
    }

    public String getAreaowner()
    {
        return areaowner;
    }
    public void setConfirm(String confirm)
    {
        this.confirm = confirm;
    }

    public String getConfirm()
    {
        return confirm;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setAccidentytpe(String accidentytpe)
    {
        this.accidentytpe = accidentytpe;
    }

    public String getAccidentytpe()
    {
        return accidentytpe;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setJan(Long jan)
{
    this.jan = jan;
}

    public Long getJan()
    {
        return jan;
    }
    public void setFeb(Long feb)
    {
        this.feb = feb;
    }

    public Long getFeb()
    {
        return feb;
    }
    public void setMar(Long mar)
    {
        this.mar = mar;
    }

    public Long getMar()
    {
        return mar;
    }
    public void setApr(Long apr)
    {
        this.apr = apr;
    }

    public Long getApr()
    {
        return apr;
    }
    public void setMay(Long may)
    {
        this.may = may;
    }

    public Long getMay()
    {
        return may;
    }
    public void setJun(Long jun)
    {
        this.jun = jun;
    }

    public Long getJun()
    {
        return jun;
    }
    public void setJul(Long jul)
    {
        this.jul = jul;
    }

    public Long getJul()
    {
        return jul;
    }
    public void setAug(Long aug)
    {
        this.aug = aug;
    }

    public Long getAug()
    {
        return aug;
    }
    public void setSep(Long sep)
    {
        this.sep = sep;
    }

    public Long getSep()
    {
        return sep;
    }
    public void setOct(Long oct)
    {
        this.oct = oct;
    }

    public Long getOct()
    {
        return oct;
    }
    public void setNov(Long nov)
    {
        this.nov = nov;
    }

    public Long getNov()
    {
        return nov;
    }
    public void setDec(Long dec)
    {
        this.dec = dec;
    }

    public Long getDec()
    {
        return dec;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("area", getArea())
            .append("areadate", getAreadate())
            .append("content", getContent())
            .append("team", getTeam())
            .append("staffid", getStaffid())
            .append("detector", getDetector())
            .append("dealer", getDealer())
            .append("status", getStatus())
            .append("areaowner", getAreaowner())
            .append("confirm", getConfirm())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("accidentytpe", getAccidentytpe())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .toString();
    }
}
